Package javassist.runtime

# Class DotClass

java.lang.Object
javassist.runtime.DotClass

public class DotClass extends Object
A support class for implementing `.class` notation. This is required at runtime only if `.class` notation is used in source code given to the Javassist compiler.

## Constructor Summary

Constructors
Constructor
Description
`DotClass()`

## Method Summary

Modifier and Type
Method
Description
`static NoClassDefFoundError`
`fail(ClassNotFoundException e)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DotClass

public DotClass()

## Method Details

### fail

public static NoClassDefFoundError fail(ClassNotFoundException e)